Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.table
Class LayoutHelper

    java.lang.Object
      org.eclipse.birt.report.model.api.elements.table.LayoutHelper

    public final class LayoutHelper

extends java.lang.Object

An algorithm to support rowSpan, colSpan for BIRT table elements. "column" properties of cells are cleared after reads it.

Constructor Summary
`LayoutHelper()`

Method Summary
`static LayoutTable` | `applyLayout(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.TableItem table)` Resolves the layout for the given table element.
`protected static void` | `applyLayoutOnSlot(LayoutSlot mappingSlot, org.eclipse.birt.report.model.core.ContainerSlot slot, org.eclipse.birt.report.model.core.Module module)` Resolve the layout of Table Detail slot.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutHelper

    public LayoutHelper()

Method Detail

### applyLayout

    public static LayoutTable applyLayout(org.eclipse.birt.report.model.core.Module module,
                                          org.eclipse.birt.report.model.elements.TableItem table)

  Resolves the layout for the given table element. This methods resolves "colSpan", "rowSpan" and "dropping" properties of cells in the table. If there is any error, records and proceed as much as possible.

  Parameters:
    `module` - the report module.
    `table` - the table element
  Returns:
    the table that holds the layout structure after resolving

### applyLayoutOnSlot

    protected static void applyLayoutOnSlot(LayoutSlot mappingSlot,
                                            org.eclipse.birt.report.model.core.ContainerSlot slot,
                                            org.eclipse.birt.report.model.core.Module module)

  Resolve the layout of Table Detail slot.

  Parameters:
    `mappingSlot` - the slot information
    `slot` - the detail slot
    `module` - the report module

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.